#include <iostream>

using namespace std;

int main()
{
    int a1,a2;
    char slova[2];
    gets(slova);
    cin >> a1 >> a2;
    if (a2 > a1)
        {
            int pom = a1;
            a1 = a2;
            a2 = pom;
            char p = slova[0];
            slova[0] = slova[1];
            slova[1] = p;
        }
    if (abs(a1 - a2) > 2)
    {
        cout << "nemoguce";
    }
    else if (abs(a1 - a2) == 2)
    {
        int i = 0, j = 0;
        while (i < a1 && j < a2)
        {
            if (i == 0 || i == (a1 - 1))
            {
                cout << slova[0];
                i++;
            }
            else
            {
                cout << slova[1] << slova[0];
                i++; j++;
            }

        }

    }
    else
    {
        int i = 0, j = 0;
        while (i < a1 || j < a2)
        {
            if (i < a1)
            {
                cout << slova[0];
                i++;
            }
            if (j < a2)
            {
                cout << slova[1];
                j++;
            }
        }
    }
    return 0;
}